<?php
/*
 * This file is part of Moodle - http://moodle.org/
 *
 * Moodle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Moodle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
 */
/*
* Licensed to the Apache Software Foundation (ASF) under one
* or more contributor license agreements.  See the NOTICE file
* distributed with this work for additional information
* regarding copyright ownership.  The ASF licenses this file
* to you under the Apache License, Version 2.0 (the
* "License") +  you may not use this file except in compliance
* with the License.  You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing,
* software distributed under the License is distributed on an
* "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
* KIND, either express or implied.  See the License for the
* specific language governing permissions and limitations
* under the License.
*/
/**
 *
 * @package     mod_openmeetings
 * @category    backup
 */
defined('MOODLE_INTERNAL') || die;

require_once($CFG->dirroot . '/mod/openmeetings/backup/moodle2/backup_openmeetings_stepslib.php');

/**
 * Provides the steps to perform one complete backup of the Openmeetings instance
 */
class backup_openmeetings_activity_task extends backup_activity_task {
	/**
	 * No specific settings for this activity
	 */
	protected function define_my_settings() {
	}

	protected function define_my_steps() {
		$this->add_step(new backup_openmeetings_activity_structure_step('openmeetings_structure', 'openmeetings.xml'));
	}

	/**
	 * No content encoding needed for this activity
	 *
	 * @param string $content some HTML text that eventually contains URLs to the activity instance scripts
	 * @return string the same content with no changes
	 */
	static public function encode_content_links($content) {
		return $content;
	}
}
